List Files
The account's uploaded files that have not expired, newest first.
Query parameters
-
limit integerdefault 1000range 1–1000
Responses
OK
application/json · list-files-response-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
curl https://api.vultrinference.com/v1/files \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"import os
import requests
response = requests.get(
"https://api.vultrinference.com/v1/files",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/files", {
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
},
});
console.log(await response.json());Response · 200
{
"object": "list",
"data": [
{
"id": "file-6f1d2c9a4b7e8f0a1c2d3e4f",
"object": "file",
"bytes": 0,
"created_at": 1790000000,
"expires_at": 1790000000,
"filename": "string",
"purpose": "string",
"status": "processing",
"status_details": "string"
}
],
"has_more": false
}